/*****************************************************************************
 * This program loads a list with words from the keyboard, then outputs them,
 * separated by commas. It illustrates the basics of declaring and filling a 
 * list. The 'show_list' function illustrates the use of a list iterator.
 * ****************************************************************************/
#include <iostream>
#include <list>
#include<string>
using std::cin; using std::cout;            
using std::endl;  using std::string;          
using std::list;

/***'show_list' prints the strings in l to the screen, separated by commas.***/
void show_list(const list<string> & l);

int main()
{
	
	list<string> L;
	string word;
	cout<<"Please enter your words, <ENTER><CTRL>-D to stop ";
	while(cin>>word)
		L.push_back(word);//Load the list with words.

	cout<<endl<<"\nYou entered the words ";
	show_list(L);

	return 0;
			
}
void show_list(const list<string>& l)
{
	for(list<string>::const_iterator iter=l.begin(); iter!=l.end();++iter)
	{
		if(iter!=l.begin())
			cout<<", ";
		cout<<*iter;
	}
	/* We need a const iterator here because we passed l by constant 
	 * reference.
	 */   
	return;
}
	
